import { BaseItemDataModel } from "./base-item.mjs"

export default class ArmeDataModel extends BaseItemDataModel {
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...this.defineBaseSchema(),
      category: new fields.StringField({ initial: "melee" }),
      origin: new fields.StringField({ initial: "petitPeuple" }),
      sizeMode: new fields.StringField({ initial: "variable" }),
      sizeValue: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      sizeModifier: new fields.NumberField({ initial: 0, integer: true }),
      damage: new fields.StringField({ initial: "" }),
      range: new fields.StringField({ initial: "" }),
      properties: new fields.ArrayField(new fields.StringField(), { initial: [] }),
      restrictedRace: new fields.StringField({ initial: "" }),
      quantity: new fields.NumberField({ initial: 1, integer: true, min: 0 }),
      price: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      equipped: new fields.BooleanField({ initial: false }),
    }
  }
}
